LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
Schema Service Referencepublished

provides read only access to a configuration component schema. More...

`import"Schema.idl";`

Inheritance diagram for Schema:

## Exported Interfaces
interface | XSchema
| handles access to the schema data for a component. More...

## Public Attributes
string | URL
| The URL of the layer data. More...

## Additional Inherited Members
Public Member Functions inherited from XSchema
void | readSchema ([in] XSchemaHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Describes the full schema (templates + component) to a XSchemaHandler. More...
void | readComponent ([in] XSchemaHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Describes only the component definition to a XSchemaHandler. More...
void | readTemplates ([in] XSchemaHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Describes the component templates to a XSchemaHandler. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides read only access to a configuration component schema.

A component is a set of hierarchically organized and semantically related configuration settings, e.g StarWriter settings.

A component schema contains two separate sections, one which describes the templates to be used in the dynamic containers (sets) of the component and one which describes the component's data structure.

See also
  com::sun::star::configuration::backend::Layer Service providing access to individual configuration data for an entity.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ XSchema

interface XSchema

handles access to the schema data for a component.

The data can be read either in its entirety (templates and component description) or each of its parts can be accessed.

## Member Data Documentation

## ◆ URL

string URL
| optional property readonly

The URL of the layer data.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/Schema.idl